commit:     51f3e281db757992fa9094cbd2e49d673bc42685
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 03:04:47 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 03:04:47 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=51f3e281

kde-plasma/plasma-thunderbolt: 5.19.90 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../plasma-thunderbolt-5.19.90.ebuild              | 38 ++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/kde-plasma/plasma-thunderbolt/plasma-thunderbolt-5.19.90.ebuild 
b/kde-plasma/plasma-thunderbolt/plasma-thunderbolt-5.19.90.ebuild
new file mode 100644
index 0000000000..449bb4739a
--- /dev/null
+++ b/kde-plasma/plasma-thunderbolt/plasma-thunderbolt-5.19.90.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_TEST="true"
+KFMIN=5.74.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.0
+inherit ecm kde.org
+
+DESCRIPTION="Plasma integration for controlling Thunderbolt devices"
+HOMEPAGE="https://invent.kde.org/plasma/plasma-thunderbolt";
+
+LICENSE="|| ( GPL-2 GPL-3+ )"
+SLOT="5"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+       >=dev-qt/qtdeclarative-${QTMIN}:5
+       >=dev-qt/qtdbus-${QTMIN}:5
+       >=dev-qt/qtgui-${QTMIN}:5
+       >=kde-frameworks/kcmutils-${KFMIN}:5
+       >=kde-frameworks/kcoreaddons-${KFMIN}:5
+       >=kde-frameworks/kdbusaddons-${KFMIN}:5
+       >=kde-frameworks/kdeclarative-${KFMIN}:5
+       >=kde-frameworks/ki18n-${KFMIN}:5
+       >=kde-frameworks/knotifications-${KFMIN}:5
+"
+RDEPEND="${DEPEND}
+       >=dev-qt/qtquickcontrols2-${QTMIN}:5
+       >=kde-frameworks/kirigami-${KFMIN}:5
+       sys-apps/bolt
+"
+
+# tests require DBus
+RESTRICT+=" test"

Reply via email to